Package weka.core.packageManagement

# Class Dependency

java.lang.Object
weka.core.packageManagement.Dependency

public class Dependency extends Object
Class that encapsulates a dependency between two packages

Version:
  $Revision: 44030 $
Author:
  mhall (mhall{[at]}pentaho{[dot]}com)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dependency(Package source, PackageConstraint target)`
  Construct a new Dependency from a supplied source package and PackageConstraint containing the target package.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Package`
  `getSource()`
  Get the source package.
  `PackageConstraint`
  `getTarget()`
  Get the target package constraint.
  `void`
  `setSource(Package source)`
  Set the source package.
  `void`
  `setTarget(PackageConstraint target)`
  Set the target package constraint.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Dependency

    public Dependency(Package source, PackageConstraint target)
    Construct a new Dependency from a supplied source package and PackageConstraint containing the target package.
    Parameters:
      `source` - the source package.
      `target` - the target package (wrapped in a PackageConstraint).

- ## Method Details

  - ### setSource

    public void setSource(Package source)
    Set the source package.
    Parameters:
      `source` - the source package.

  - ### getSource

    public Package getSource()
    Get the source package.
    Returns:
      the source package.

  - ### setTarget

    public void setTarget(PackageConstraint target)
    Set the target package constraint.
    Parameters:
      `target` - the target package (wrapped in a PackageConstraint).

  - ### getTarget

    public PackageConstraint getTarget()
    Get the target package constraint.
    Returns:
      the target package (wrapped in a PackageConstraint).

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`